package ch.zhaw.gartenverwaltung.bootstrap;

import javafx.event.Event;
import javafx.event.EventType;

public class ChangeViewEvent extends Event {
    private final String view;

    public static final EventType<ChangeViewEvent> CHANGE_MAIN_VIEW = new EventType<>("CHANGE_MAIN_VIEW");

    public ChangeViewEvent(EventType<? extends Event> eventType, String view) {
        super(eventType);
        this.view = view;
    }

    public String view() {
        return view;
    }
}
